# Fetch an Address By Identity

## Fetch a verified address for an Identity

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/addresses/marketplace`

This endpoint returns a verified address for a given identity within a specified period.

#### Request Body

| Name          | Type   | Description                                                                                                                 |
| ------------- | ------ | --------------------------------------------------------------------------------------------------------------------------- |
| maxAddressAge | string | <p>minimum  time range (in months)  that <br>the address must've been verified eg "6M" for 6 months , "2M" for 2 months</p> |
| lastname      | string | Lastname                                                                                                                    |
| firstname     | string | Firstname                                                                                                                   |
| idNumber      | string | Identity Number                                                                                                             |
| idType        | string | Identity Type ( FRSC or NIN )                                                                                               |

{% tabs %}
{% tab title="200 " %}

```
{
"status": "success",
"data": {
    id: 1,
    applicant: {
        firstname: "John",
        lastname: "Doe",
        phone:"08000000000",
        idType: "bvn",
        idNumber: "10000000001",
        middlename: "Cameron',
        photo: "https://images.verifyme.ng/278783775/fjjjjler7834.jpg",
        gender: "Male",
        birthdate: '17/01/1988',
    },
    createdAt: "",
    completedAt: "",
    lattitude: "9.081999",
    longitude: "8.675277",
    photos: ["https://picsum.photos/id/768/200/300.jpg", "https://picsum.photos/id/768/200/300.jpg"],
    neighbor: {
        name: "Tunde Adetunji",
        comment: "Very friendly",
        phone: "080900000000",
    },
    status: {
        status: "Verified",
        subStatus: "verified",
        state: "complete",
    },
    city: "oshodi",
    street: "270 Murtala Muhammed Way, Alagomeji. Yaba",
    lga: "oshodi",
    state: "Lagos",
    country: "Nigeria"
    }
}
```

{% endtab %}

{% tab title="404 " %}

```
{
    "status": "error",
    "message": "Address Not Found",
    "code": "NOT_FOUND_ERROR"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/fetch-an-address-by-identity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
